Commit 8ebeaa54 authored by Konrad's avatar Konrad 🎧
Browse files

add job tech weekly

parent 182f54fc
#+TITLE: 2020-09-04
#+REVEAL_THEME: white
#+REVEAL_HLEVEL: 3
#+OPTIONS: toc:nil
* Attribute references I
| Task | STATUS |
|------------------------------------------------+--------|
| design architecture options | DONE |
| create ADR | DONE |
| design system schema | DONE |
| implement system schema | DONE |
| test system schema | DONE |
| design partitions | DONE |
* Attribute references II
| Task | STATUS |
|-----------------------------------------------+---------|
| implement partitions | DONE |
| create partition tests | *DONE* |
| analyze and design references for tx & search | *DONE* |
| implement references to tx & search | START |
| create reference tests | *START* |
* Attribute references III
| Task | STATUS |
|------------------------------------------------+--------|
| design attr-ref configuration | *DONE* |
| implement attr-ref configuration | NEXT |
| test attr-ref configuration | TODO |
| design :db-namespace protection | *HOLD* |
| implement :db-namespace protection | *HOLD* |
| test :db-namespace protection | TODO |
* Job Tech Taxonomy API
| Task | STATUS |
|------------------------------------------+---------|
| merge latest develop branch | DONE |
| introduce job tech project | *START* |
| integrate refs into jobtech-taxonomy-api | TODO |
| test refs | TODO |
| fix version creation bug | *DONE* |
* Dependency Problem
jobtech-taxonomy-api repl start:
#+BEGIN_SRC shell
Caused by: java.lang.ClassNotFoundException: clojure.core.async.Mutex
#+END_SRC
check Datahike dependency tree
#+BEGIN_SRC bash
lein pom
mvn dependency:tree -Dverbose=true
#+END_SRC
* Dependency Tree Datahike
#+BEGIN_SRC bash
[INFO] io.replikativ:datahike:jar:0.3.2-SNAPSHOT
[INFO] +- org.clojure:clojure:jar:1.10.1:provided (scope not updated to compile)
[INFO] | +- (org.clojure:spec.alpha:jar:0.2.176:compile - scope updated from provided; omitted for duplicate)
[INFO] | \- (org.clojure:core.specs.alpha:jar:0.2.44:compile - scope updated from provided; omitted for duplicate)
[INFO] +- org.clojure:clojurescript:jar:1.10.597:provided (scope not updated to compile)
[INFO] | +- (org.clojure:clojure:jar:1.8.0:provided - omitted for conflict with 1.10.1)
[INFO] | +- (com.google.javascript:closure-compiler-unshaded:jar:v20180805:compile - scope updated from provided; omitted for duplicate)
[INFO] | +- (org.clojure:google-closure-library:jar:0.0-20170809-b9c14c6b:compile - scope updated from provided; omitted for duplicate)
[INFO] | +- (org.clojure:data.json:jar:0.2.6:compile - scope updated from provided; omitted for duplicate)
[INFO] | +- org.mozilla:rhino:jar:1.7R5:provided
[INFO] | +- (org.clojure:tools.reader:jar:1.3.2:provided - omitted for duplicate)
[INFO] | \- (com.cognitect:transit-clj:jar:0.8.309:compile - scope updated from provided; omitted for duplicate)
[INFO] +- persistent-sorted-set:persistent-sorted-set:jar:0.1.2:compile
[INFO] +- org.clojure:tools.reader:jar:1.3.2:compile
[INFO] | \- (org.clojure:clojure:jar:1.5.1:compile - omitted for conflict with 1.10.1)
[INFO] +- environ:environ:jar:1.2.0:compile
[INFO] | \- (org.clojure:clojure:jar:1.8.0:compile - omitted for conflict with 1.10.1)
[INFO] +- com.taoensso:timbre:jar:4.10.0:compile
[INFO] | +- (org.clojure:clojure:jar:1.5.1:compile - omitted for conflict with 1.10.1)
[INFO] | +- com.taoensso:encore:jar:2.91.0:compile
[INFO] | | +- (org.clojure:clojure:jar:1.5.1:compile - omitted for conflict with 1.10.1)
[INFO] | | +- (org.clojure:tools.reader:jar:0.10.0:compile - omitted for conflict with 1.3.2)
[INFO] | | \- com.taoensso:truss:jar:1.5.0:compile
[INFO] | | \- (org.clojure:clojure:jar:1.5.1:compile - omitted for conflict with 1.10.1)
[INFO] | \- io.aviso:pretty:jar:0.1.33:compile
[INFO] | \- (org.clojure:clojure:jar:1.5.0:compile - omitted for conflict with 1.10.1)
[INFO] +- io.replikativ:hitchhiker-tree:jar:0.1.8-SNAPSHOT:compile
[INFO] | +- (org.clojure:clojure:jar:1.10.0:compile - omitted for conflict with 1.10.1)
[INFO] | +- org.clojure:core.memoize:jar:0.7.1:compile
[INFO] | | +- (org.clojure:core.cache:jar:0.7.1:compile - omitted for conflict with 0.7.2)
[INFO] | | \- (org.clojure:clojure:jar:1.6.0:compile - omitted for conflict with 1.10.1)
[INFO] | +- org.clojure:core.rrb-vector:jar:0.0.14:compile
[INFO] | | \- (org.clojure:clojure:jar:1.5.1:compile - omitted for conflict with 1.10.1)
[INFO] | +- org.clojure:core.cache:jar:0.7.2:compile
[INFO] | | +- org.clojure:data.priority-map:jar:0.0.7:compile
[INFO] | | | \- (org.clojure:clojure:jar:1.4.0:compile - omitted for conflict with 1.10.1)
[INFO] | | \- (org.clojure:clojure:jar:1.6.0:compile - omitted for conflict with 1.10.1)
[INFO] | \- io.replikativ:konserve:jar:0.6.0-SNAPSHOT:compile
[INFO] | +- io.replikativ:incognito:jar:0.2.5:compile
[INFO] | +- (io.replikativ:superv.async:jar:0.2.10-SNAPSHOT:compile - omitted for duplicate)
[INFO] | +- fress:fress:jar:0.3.1:compile
[INFO] | | +- (org.clojure:clojure:jar:1.10.0-alpha6:compile - omitted for conflict with 1.10.1)
[INFO] | | +- (org.clojure:clojurescript:jar:1.10.339:compile - omitted for conflict with 1.10.597)
[INFO] | | \- (org.clojure:data.fressian:jar:0.2.1:compile - omitted for duplicate)
[INFO] | +- org.clojure:data.fressian:jar:0.2.1:compile
[INFO] | | +- (org.clojure:clojure:jar:1.6.0:compile - omitted for conflict with 1.10.1)
[INFO] | | \- org.fressian:fressian:jar:0.6.6:compile
[INFO] | +- io.replikativ:hasch:jar:0.3.5:compile
[INFO] | | +- (io.replikativ:incognito:jar:0.2.2:compile - omitted for conflict with 0.2.5)
[INFO] | | \- org.clojure:data.codec:jar:0.1.1:compile
[INFO] | | \- (org.clojure:clojure:jar:1.8.0:compile - omitted for conflict with 1.10.1)
[INFO] | +- org.clojars.mmb90:cljs-cache:jar:0.1.4:compile
[INFO] | | +- (org.clojure:clojure:jar:1.9.0-alpha10:compile - omitted for conflict with 1.10.1)
[INFO] | | +- (org.clojure:core.async:jar:0.2.385:compile - omitted for conflict with 1.3.610)
[INFO] | | +- (org.clojure:clojurescript:jar:1.9.89:compile - omitted for conflict with 1.10.597)
[INFO] | | +- adzerk:boot-test:jar:1.1.2:compile
[INFO] | | +- crisptrutski:boot-cljs-test:jar:0.2.2-SNAPSHOT:compile
[INFO] | | \- tailrecursion:cljs-priority-map:jar:1.2.1:compile
[INFO] | | +- (org.clojure:clojure:jar:1.7.0:compile - omitted for conflict with 1.10.1)
[INFO] | | \- (org.clojure:clojurescript:jar:1.7.170:compile - omitted for conflict with 1.10.597)
[INFO] | +- thheller:shadow-cljs:jar:2.8.109:compile
[INFO] | | +- (org.clojure:clojure:jar:1.10.1:compile - omitted for duplicate)
[INFO] | | +- org.clojure:data.json:jar:0.2.6:compile
[INFO] | | | \- (org.clojure:clojure:jar:1.4.0:compile - omitted for conflict with 1.10.1)
[INFO] | | +- org.clojure:tools.cli:jar:1.0.194:compile
[INFO] | | | \- (org.clojure:clojure:jar:1.8.0:compile - omitted for conflict with 1.10.1)
[INFO] | | +- (org.clojure:tools.reader:jar:1.3.2:compile - omitted for duplicate)
[INFO] | | +- nrepl:nrepl:jar:0.7.0:compile
[INFO] | | +- cider:piggieback:jar:0.4.2:compile
[INFO] | | +- com.cognitect:transit-clj:jar:0.8.313:compile
[INFO] | | | \- com.cognitect:transit-java:jar:1.0.343:compile
[INFO] | | | +- com.fasterxml.jackson.core:jackson-core:jar:2.8.7:compile
[INFO] | | | +- org.msgpack:msgpack:jar:0.6.12:compile
[INFO] | | | | +- com.googlecode.json-simple:json-simple:jar:1.1.1:compile
[INFO] | | | | \- org.javassist:javassist:jar:3.18.1-GA:compile
[INFO] | | | +- commons-codec:commons-codec:jar:1.10:compile
[INFO] | | | \- javax.xml.bind:jaxb-api:jar:2.3.0:compile
[INFO] | | +- com.cognitect:transit-cljs:jar:0.8.256:compile
[INFO] | | | \- com.cognitect:transit-js:jar:0.8.861:compile
[INFO] | | +- (org.clojure:core.async:jar:1.1.587:compile - omitted for conflict with 1.3.610)
[INFO] | | +- (org.clojure:clojurescript:jar:1.10.741:compile - omitted for conflict with 1.10.597)
[INFO] | | +- (com.google.javascript:closure-compiler-unshaded:jar:v20180805:compile - omitted for conflict with v20190325)
[INFO] | | +- (org.clojure:google-closure-library:jar:0.0-20170809-b9c14c6b:compile - omitted for conflict with 0.0-20190213-2033d5d9)
[INFO] | | +- org.clojure:google-closure-library-third-party:jar:0.0-20191016-6ae1f72f:compile
[INFO] | | +- thheller:shadow-util:jar:0.7.0:compile
[INFO] | | | \- (hiccup:hiccup:jar:1.0.5:compile - omitted for duplicate)
[INFO] | | +- thheller:shadow-client:jar:1.3.2:compile
[INFO] | | | +- (org.clojure:core.async:jar:0.3.443:compile - omitted for conflict with 1.3.610)
[INFO] | | | \- (hiccup:hiccup:jar:1.0.5:compile - omitted for duplicate)
[INFO] | | +- io.undertow:undertow-core:jar:2.0.30.Final:compile
[INFO] | | | \- org.jboss.logging:jboss-logging:jar:3.4.0.Final:compile
[INFO] | | +- org.jboss.xnio:xnio-api:jar:3.8.0.Final:compile
[INFO] | | | +- org.wildfly.common:wildfly-common:jar:1.5.2.Final:compile
[INFO] | | | +- org.wildfly.client:wildfly-client-config:jar:1.0.1.Final:compile
[INFO] | | | | +- (org.jboss.logging:jboss-logging:jar:3.3.1.Final:compile - omitted for conflict with 3.4.0.Final)
[INFO] | | | | \- (org.wildfly.common:wildfly-common:jar:1.2.0.Final:compile - omitted for conflict with 1.5.2.Final)
[INFO] | | | \- (org.jboss.threads:jboss-threads:jar:2.3.3.Final:compile - omitted for conflict with 3.1.0.Final)
[INFO] | | +- org.jboss.xnio:xnio-nio:jar:3.8.0.Final:compile
[INFO] | | | \- (org.jboss.xnio:xnio-api:jar:3.8.0.Final:compile - omitted for duplicate)
[INFO] | | +- org.jboss.threads:jboss-threads:jar:3.1.0.Final:compile
[INFO] | | | +- (org.jboss.logging:jboss-logging:jar:3.4.1.Final:compile - omitted for conflict with 3.4.0.Final)
[INFO] | | | \- (org.wildfly.common:wildfly-common:jar:1.5.0.Final:compile - omitted for conflict with 1.5.2.Final)
[INFO] | | +- hiccup:hiccup:jar:1.0.5:compile
[INFO] | | | \- (org.clojure:clojure:jar:1.2.1:compile - omitted for conflict with 1.10.1)
[INFO] | | +- ring:ring-core:jar:1.8.0:compile
[INFO] | | | +- (org.clojure:clojure:jar:1.7.0:compile - omitted for conflict with 1.10.1)
[INFO] | | | +- ring:ring-codec:jar:1.1.2:compile
[INFO] | | | | +- (org.clojure:clojure:jar:1.5.1:compile - omitted for conflict with 1.10.1)
[INFO] | | | | \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)
[INFO] | | | +- commons-io:commons-io:jar:2.6:compile
[INFO] | | | +- commons-fileupload:commons-fileupload:jar:1.4:compile
[INFO] | | | | \- (commons-io:commons-io:jar:2.2:compile - omitted for conflict with 2.6)
[INFO] | | | +- crypto-random:crypto-random:jar:1.2.0:compile
[INFO] | | | | +- (org.clojure:clojure:jar:1.2.1:compile - omitted for conflict with 1.10.1)
[INFO] | | | | \- (commons-codec:commons-codec:jar:1.6:compile - omitted for conflict with 1.10)
[INFO] | | | \- crypto-equality:crypto-equality:jar:1.0.0:compile
[INFO] | | | \- (org.clojure:clojure:jar:1.2.1:compile - omitted for conflict with 1.10.1)
[INFO] | | +- expound:expound:jar:0.8.4:compile
[INFO] | | +- fipp:fipp:jar:0.6.17:compile
[INFO] | | | +- (org.clojure:clojure:jar:1.8.0:compile - omitted for conflict with 1.10.1)
[INFO] | | | \- (org.clojure:core.rrb-vector:jar:0.1.1:compile - omitted for conflict with 0.0.14)
[INFO] | | +- com.bhauman:cljs-test-display:jar:0.1.1:compile
[INFO] | | | \- (org.clojure:clojure:jar:1.9.0:compile - omitted for conflict with 1.10.1)
[INFO] | | +- com.wsscode:pathom:jar:2.2.31:compile
[INFO] | | | +- com.wsscode:spec-inspec:jar:1.0.0-alpha2:compile
[INFO] | | | +- spec-coerce:spec-coerce:jar:1.0.0-alpha6:compile
[INFO] | | | | \- (com.wsscode:spec-inspec:jar:1.0.0-alpha2:compile - omitted for duplicate)
[INFO] | | | +- edn-query-language:eql:jar:0.0.9:compile
[INFO] | | | | +- (org.clojure:clojure:jar:1.10.1:compile - omitted for duplicate)
[INFO] | | | | +- (org.clojure:test.check:jar:0.10.0-alpha3:compile - omitted for duplicate)
[INFO] | | | | +- org.clojure:spec.alpha:jar:0.2.176:compile
[INFO] | | | | \- org.clojure:core.specs.alpha:jar:0.2.44:compile
[INFO] | | | +- (org.clojure:core.async:jar:0.4.474:compile - omitted for conflict with 1.3.610)
[INFO] | | | \- (org.clojure:test.check:jar:0.10.0-alpha3:compile - omitted for conflict with 1.0.0)
[INFO] | | +- org.clojure:test.check:jar:1.0.0:compile
[INFO] | | | \- (org.clojure:clojure:jar:1.9.0:compile - omitted for conflict with 1.10.1)
[INFO] | | +- hawk:hawk:jar:0.2.11:compile
[INFO] | | | +- (org.clojure:clojure:jar:1.8.0:compile - omitted for conflict with 1.10.1)
[INFO] | | | \- net.incongru.watchservice:barbary-watchservice:jar:1.0:compile
[INFO] | | | \- net.java.dev.jna:jna:jar:3.2.2:compile
[INFO] | | \- thheller:shadow-cljsjs:jar:0.0.21:compile
[INFO] | +- (org.clojure:clojurescript:jar:1.10.520:compile - omitted for conflict with 1.10.597)
[INFO] | +- com.google.javascript:closure-compiler-unshaded:jar:v20190325:compile
[INFO] | | +- com.google.javascript:closure-compiler-externs:jar:v20190325:compile
[INFO] | | +- args4j:args4j:jar:2.0.26:compile
[INFO] | | +- com.google.errorprone:error_prone_annotations:jar:2.3.1:compile
[INFO] | | +- com.google.guava:guava:jar:25.1-jre:compile
[INFO] | | | +- (com.google.code.findbugs:jsr305:jar:3.0.2:compile - omitted for conflict with 3.0.1)
[INFO] | | | +- org.checkerframework:checker-qual:jar:2.0.0:compile
[INFO] | | | +- (com.google.errorprone:error_prone_annotations:jar:2.1.3:compile - omitted for conflict with 2.3.1)
[INFO] | | | +- com.google.j2objc:j2objc-annotations:jar:1.1:compile
[INFO] | | | \- org.codehaus.mojo:animal-sniffer-annotations:jar:1.14:compile
[INFO] | | +- com.google.protobuf:protobuf-java:jar:3.0.2:compile
[INFO] | | +- com.google.code.gson:gson:jar:2.7:compile
[INFO] | | +- com.google.code.findbugs:jsr305:jar:3.0.1:compile
[INFO] | | \- com.google.jsinterop:jsinterop-annotations:jar:1.0.0:compile
[INFO] | +- org.clojure:google-closure-library:jar:0.0-20190213-2033d5d9:compile
[INFO] | | \- (org.clojure:google-closure-library-third-party:jar:0.0-20190213-2033d5d9:compile - omitted for conflict with 0.0-20191016-6ae1f72f)
[INFO] | \- org.lz4:lz4-java:jar:1.6.0:compile
[INFO] +- io.replikativ:superv.async:jar:0.2.10-SNAPSHOT:compile
[INFO] | \- org.clojure:core.async:jar:1.3.610:compile
[INFO] | +- org.clojure:tools.analyzer.jvm:jar:1.1.0:compile
[INFO] | | +- org.clojure:tools.analyzer:jar:1.0.0:compile
[INFO] | | | \- (org.clojure:clojure:jar:1.5.1:compile - omitted for conflict with 1.10.1)
[INFO] | | +- (org.clojure:core.memoize:jar:1.0.236:compile - omitted for conflict with 0.7.1)
[INFO] | | +- org.ow2.asm:asm:jar:5.2:compile
[INFO] | | +- (org.clojure:tools.reader:jar:1.3.2:compile - omitted for duplicate)
[INFO] | | \- (org.clojure:clojure:jar:1.5.1:compile - omitted for conflict with 1.10.1)
[INFO] | \- (org.clojure:clojure:jar:1.9.0:compile - omitted for conflict with 1.10.1)
[INFO] +- io.lambdaforge:datalog-parser:jar:0.1.8-SNAPSHOT:compile
[INFO] | \- (org.clojure:clojure:jar:1.9.0:compile - omitted for conflict with 1.10.1)
[INFO] +- io.replikativ:zufall:jar:0.1.0:compile
[INFO] | \- (org.clojure:clojure:jar:1.10.0:compile - omitted for conflict with 1.10.1)
[INFO] +- junit:junit:jar:4.13:compile
[INFO] | \- org.hamcrest:hamcrest-core:jar:1.3:compile
[INFO] +- org.clojure:tools.nrepl:jar:0.2.13:test
[INFO] | \- (org.clojure:clojure:jar:1.2.0:test - omitted for conflict with 1.10.1)
[INFO] +- org.clojure:tools.namespace:jar:1.0.0:test
[INFO] | +- org.clojure:java.classpath:jar:1.0.0:test
[INFO] | | \- (org.clojure:clojure:jar:1.4.0:test - omitted for conflict with 1.10.1)
[INFO] | \- (org.clojure:tools.reader:jar:1.3.2:test - omitted for duplicate)
[INFO] +- lambdaisland:kaocha:jar:1.0.632:test
[INFO] | +- (org.clojure:clojure:jar:1.10.1:test - omitted for duplicate)
[INFO] | +- (expound:expound:jar:0.8.4:compile - scope updated from test; omitted for duplicate)
[INFO] | +- (org.clojure:spec.alpha:jar:0.2.187:compile - scope updated from test; omitted for duplicate)
[INFO] | +- (org.clojure:tools.cli:jar:1.0.194:compile - scope updated from test; omitted for duplicate)
[INFO] | +- lambdaisland:deep-diff:jar:0.0-47:test
[INFO] | | +- (org.clojure:clojure:jar:1.10.0:test - omitted for conflict with 1.10.1)
[INFO] | | +- mvxcvi:puget:jar:1.1.2:test
[INFO] | | | +- (org.clojure:clojure:jar:1.10.0:test - omitted for conflict with 1.10.1)
[INFO] | | | +- (mvxcvi:arrangement:jar:1.2.0:test - omitted for duplicate)
[INFO] | | | \- (fipp:fipp:jar:0.6.17:test - omitted for conflict with 0.6.17)
[INFO] | | +- (fipp:fipp:jar:0.6.17:compile - scope updated from test; omitted for duplicate)
[INFO] | | +- (org.clojure:core.rrb-vector:jar:0.0.14:test - omitted for duplicate)
[INFO] | | +- tech.droit:clj-diff:jar:1.0.1:test
[INFO] | | \- mvxcvi:arrangement:jar:1.2.0:test
[INFO] | +- slingshot:slingshot:jar:0.12.2:test
[INFO] | +- aero:aero:jar:1.1.6:test
[INFO] | +- lambdaisland:tools.namespace:jar:0.0-237:test
[INFO] | | +- (org.clojure:clojure:jar:1.9.0:test - omitted for conflict with 1.10.1)
[INFO] | | +- (org.clojure:java.classpath:jar:0.3.0:test - omitted for conflict with 1.0.0)
[INFO] | | \- (org.clojure:tools.reader:jar:1.3.2:test - omitted for duplicate)
[INFO] | +- progrock:progrock:jar:0.1.2:test
[INFO] | | \- (org.clojure:clojure:jar:1.6.0:test - omitted for conflict with 1.10.1)
[INFO] | +- orchestra:orchestra:jar:2019.02.06-1:test
[INFO] | +- org.tcrawley:dynapath:jar:1.1.0:test
[INFO] | +- (hawk:hawk:jar:0.2.11:compile - scope updated from test; omitted for duplicate)
[INFO] | \- meta-merge:meta-merge:jar:1.0.0:test
[INFO] | \- (org.clojure:clojure:jar:1.7.0:test - omitted for conflict with 1.10.1)
[INFO] +- lambdaisland:kaocha-cljs:jar:0.0-71:test
[INFO] | +- (org.clojure:clojure:jar:1.10.0:test - omitted for conflict with 1.10.1)
[INFO] | +- (lambdaisland:kaocha:jar:0.0-541:test - omitted for conflict with 1.0.632)
[INFO] | +- (org.clojure:spec.alpha:jar:0.2.176:compile - scope updated from test; omitted for duplicate)
[INFO] | +- net.ladenthin:streambuffer:jar:1.1.0:test
[INFO] | +- (org.clojure:clojurescript:jar:1.10.520:test - omitted for conflict with 1.10.597)
[INFO] | +- (org.clojure:tools.namespace:jar:0.3.0-alpha4:test - omitted for conflict with 1.0.0)
[INFO] | +- (com.cognitect:transit-js:jar:0.8.861:compile - scope updated from test; omitted for duplicate)
[INFO] | +- pjstadig:humane-test-output:jar:0.9.0:test
[INFO] | +- (com.cognitect:transit-clj:jar:0.8.313:compile - scope updated from test; omitted for duplicate)
[INFO] | +- lambdaisland:glogi:jar:0.0-25:test
[INFO] | | +- (org.clojure:clojure:jar:1.10.1:test - omitted for duplicate)
[INFO] | | \- (org.clojure:clojurescript:jar:1.10.520:test - omitted for conflict with 1.10.597)
[INFO] | \- http-kit:http-kit:jar:2.3.0:test
[INFO] +- (io.replikativ:datahike:jar:0.2.1:test - omitted for cycle)
[INFO] +- io.replikativ:datahike-leveldb:jar:0.1.0:test
[INFO] | \- io.replikativ:konserve-leveldb:jar:0.1.2:test
[INFO] | +- (org.clojure:clojure:jar:1.9.0:test - omitted for conflict with 1.10.1)
[INFO] | +- (io.replikativ:konserve:jar:0.5-beta1:test - omitted for conflict with 0.6.0-SNAPSHOT)
[INFO] | +- byte-streams:byte-streams:jar:0.2.2:test
[INFO] | | +- primitive-math:primitive-math:jar:0.1.5:test
[INFO] | | +- clj-tuple:clj-tuple:jar:0.2.2:test
[INFO] | | \- manifold:manifold:jar:0.1.4:test
[INFO] | | +- org.clojure:tools.logging:jar:0.3.1:test
[INFO] | | +- io.aleph:dirigiste:jar:0.1.3:test
[INFO] | | \- riddley:riddley:jar:0.1.12:test
[INFO] | \- factual:clj-leveldb:jar:0.1.1:test
[INFO] | +- org.fusesource.leveldbjni:leveldbjni-all:jar:1.8:test
[INFO] | \- org.iq80.leveldb:leveldb-api:jar:0.7:test
[INFO] +- (io.replikativ:datahike:jar:0.3.1-SNAPSHOT:test - omitted for cycle)
[INFO] \- io.replikativ:datahike-postgres:jar:0.3.1-SNAPSHOT:test
[INFO] +- (environ:environ:jar:1.1.0:test - omitted for conflict with 1.2.0)
[INFO] \- org.clojars.mihaelkonjevic:konserve-pg:jar:0.1.2:test
[INFO] +- org.clojure:java.jdbc:jar:0.7.9:test
[INFO] | \- (org.clojure:clojure:jar:1.7.0:test - omitted for conflict with 1.10.1)
[INFO] +- org.postgresql:postgresql:jar:42.2.6:test
[INFO] +- com.layerware:hugsql:jar:0.4.9:test
[INFO] | +- (org.clojure:clojure:jar:1.8.0:test - omitted for conflict with 1.10.1)
[INFO] | +- com.layerware:hugsql-core:jar:0.4.9:test
[INFO] | | +- (org.clojure:clojure:jar:1.8.0:test - omitted for conflict with 1.10.1)
[INFO] | | +- (org.clojure:tools.reader:jar:1.2.2:test - omitted for conflict with 1.3.2)
[INFO] | | \- com.layerware:hugsql-adapter:jar:0.4.9:test
[INFO] | | \- (org.clojure:clojure:jar:1.8.0:test - omitted for conflict with 1.10.1)
[INFO] | \- com.layerware:hugsql-adapter-clojure-java-jdbc:jar:0.4.9:test
[INFO] | +- (org.clojure:clojure:jar:1.8.0:test - omitted for conflict with 1.10.1)
[INFO] | +- (org.clojure:java.jdbc:jar:0.7.6:test - omitted for conflict with 0.7.9)
[INFO] | \- (com.layerware:hugsql-adapter:jar:0.4.9:test - omitted for duplicate)
[INFO] +- to-jdbc-uri:to-jdbc-uri:jar:0.1.0:test
[INFO] | \- (org.clojure:clojure:jar:1.6.0:test - omitted for conflict with 1.10.1)
[INFO] +- hugsql-adapter-case:hugsql-adapter-case:jar:0.1.0:test
[INFO] | \- camel-snake-kebab:camel-snake-kebab:jar:0.4.0:test
[INFO] \- (io.replikativ:konserve:jar:0.5.0:test - omitted for conflict with 0.6.0-SNAPSHOT)
[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESS
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 11.697 s
[INFO] Finished at: 2020-09-04T14:57:54+02:00
[INFO] ------------------------------------------------------------------------
#+END_SRC
* Wanderung
- cli tool introduces deprecated dependencies
- updated dependencies
- [[https://github.com/replikativ/sendandi][new]] library created just for db protocols
* Datahike
- vacation time
- github sponsors process started
- an overall ci/cd concept with integration tests is planned
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment